<?php

// www.yatego.de export filter

$data_array[] = array(
	'Artikelnummer im Shop',
	'EAN / Barcodenummer',
	'Original Herstellerartikelnummer',
	'Herstellername',
	'Produktname',
	'Produktgruppe im Shop',
	'PreisEuro',
	'Lieferzeit',
	'ProduktURL',
	'BildURL',
	//'Versandkosten Vorkasse',
	//'Versandkosten Nachnahme',
	//'Versandkosten Kreditkarte (z.B. nur bis 1000 EUR)',
	'Versandkosten Paypal',
	//'Versandkosten Sofort�berweisung',
	/*'Versandkosten Bankeinzug',
	'Versandkosten Rechnung',
	'Versandkosten Moneybookers',
	'Versandkosten Click & Buy',
	'Versandkosten Giropay',
	'Versandkosten Abholung',
	'Versandkosten Kommentar',*/
	'Produktbeschreibung'
);

foreach ($items as $article_obj) {
	$data_array[] = array(
		csv_string($article_obj->refnr), // Artikelnummer im Shop
		csv_string($article_obj->barcode), // EAN / Barcodenummer
		csv_string($article_obj->hersteller_number), // Original Herstellerartikelnummer
		csv_string($article_obj->hersteller), // Herstellername
		csv_string($article_obj->bez), // Produktname
		csv_string($article_obj->article_group), // Produktgruppe im Shop (m�glichst als Pfad ausgehend von der Wurzelkategorie)
		csv_string(number_format($article_obj->preis, 2, ",", "")), // PreisEuro
		csv_string($article_obj->delivery_time), // Lieferzeit
		csv_string(MAIN_URL.'?index.php?wg=2&shopAction=showArticle&article_id='.$article_obj->id), // ProduktURL
		MAIN_URL.'/web/images/article/big_'.$article_obj->bild1, // BildURL (gro�es Bild)
		//'', // Versandkosten Vorkasse
		//'', // Versandkosten Nachnahme
		//'', // Versandkosten Kreditkarte (z.B. nur bis 1000 EUR)
		'3%', // Versandkosten Paypal
		//'', // Versandkosten Sofor�berweisung
		/*'', // Versandkosten Bankeinzug
		'', // Versandkosten Rechnung
		'', // Versandkosten Moneybookers
		'', // Versandkosten Click & Buy
		'', // Versandkosten Giropay
		'', // Versandkosten Abholung
		'', // Versandkosten Kommentar*/
		csv_string($article_obj->besde) // Produktbeschreibung
	);
}

function csv_string ($string) {
	$string = trim($string);
	$string = strip_tags($string);
	$string = str_replace(';',',',$string);
	$string = str_replace("\r\n",' ',$string);
	$string = str_replace("\n",' ',$string);
	return $string;
}

?>